Bug 490351 - Error recieved whilst installing from live CD
Error recieved whilst installing from live CD
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
10
All Linux
low Severity urgent
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-15 12:56 EDT by colin macphie
Modified: 2013-01-10 00:05 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-18 14:32:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description colin macphie 2009-03-15 12:56:41 EDT
Description of problem: Error I recieve

anaconda None exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/lvm.py", line 327, in pvcreate
    raise PVCreateError, node
  File "/usr/lib/anaconda/fsset.py", line 2502, in setupDevice
    lvm.pvcreate(node)
  File "/usr/lib/anaconda/fsset.py", line 1820, in createLogicalVolumes
    entry.device.setupDevice(chroot)
  File "/usr/lib/anaconda/packages.py", line 169, in turnOnFilesystems
    anaconda.id.fsset.createLogicalVolumes(anaconda.rootPath)
  File "/usr/lib/anaconda/dispatch.py", line 204, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 127, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1358, in nextClicked
    self.anaconda.dispatch.gotoNext()
PVCreateError: pvcreate of pv "/dev/sda2" failed
Log:
   Running... ['lvm', 'pvcreate', '-ff', '-y', '-v', '/dev/sda2']
   or
   /dev/sda2: read failed after 0 of 4096 at 499899498496: Input/output error
   /dev/sda2: read failed after 0 of 4096 at 499899609088: Input/output error
   /dev/sda2: read failed after 0 of 4096 at 0: Input/output error
   /dev/sda2: read failed after 0 of 4096 at 4096: Input/output error
   /dev/sda2: read failed after 0 of 4096 at 4096: Input/output error
   /dev/sda2: write failed after 0 of 4096 at 4096: Input/output error
   Failed to wipe new metadata area
   /dev/sda2: Format-specific setup of physical volume failed.
   Failed to setup physical volume "/dev/sda2"

Local variables in innermost frame:
node: /dev/sda2
args: ['pvcreate', '-ff', '-y', '-v', '/dev/sda2']
rc: 5


Anaconda instance, containing members:
rescue_mount: True
intf: InstallInterface instance, containing members:
  intf.icw: InstallControlWindow instance, containing members:
    intf.icw.handle: 887
    intf.icw.currentWindow: PartitionTypeWindow instance, containing members:
      intf.icw.currentWindow.xml: <gtk.glade.XML object at 0xa9ac2fc (PyGladeXML at 0xaa11890)>
      intf.icw.currentWindow.intf: Already dumped
      intf.icw.currentWindow.prevrev: None
      intf.icw.currentWindow.review: False
      intf.icw.currentWindow.combo: <gtk.ComboBox object at 0xa9caa7c (GtkComboBox at 0xa6deed8)>
      intf.icw.currentWindow.dispatch: <dispatch.Dispatcher object at 0xa2c4fcc>
      intf.icw.currentWindow.bootcombo: <gtk.ComboBox object at 0xa9cab6c (GtkComboBox at 0xa9a6020)>
      intf.icw.currentWindow.anaconda: Already dumped
      intf.icw.currentWindow.ics: InstallControlState instance, containing members:
        intf.icw.currentWindow.ics.prevEnabled: True
        intf.icw.currentWindow.ics.cw: Already dumped
        intf.icw.currentWindow.ics.nextEnabled: True
        intf.icw.currentWindow.ics.grabNext: True
        intf.icw.currentWindow.ics.title: Automatic Partitioning
      intf.icw.currentWindow.drivelist: <WideCheckList object at 0xa9cab1c (GtkTreeView at 0xa6ca5d8)>
      intf.icw.currentWindow.diskset: DiskSet instance, containing members:
        intf.icw.currentWindow.diskset.initializedDisks: {}
        intf.icw.currentWindow.diskset.disks: {}
        intf.icw.currentWindow.diskset.anaconda: Already dumped
        intf.icw.currentWindow.diskset.devicesOpen: True
        intf.icw.currentWindow.diskset.onlyPrimary: None
      intf.icw.currentWindow.partitions: Partitions instance, containing members:
        intf.icw.currentWindow.partitions.encryptionPassphrase: 
        intf.icw.currentWindow.partitions.useAutopartitioning: 1
        intf.icw.currentWindow.partitions.autoClearPartType: 0
        intf.icw.currentWindow.partitions.nextUniqueID: 8
        intf.icw.currentWindow.partitions.reinitializeDisks: 0
        intf.icw.currentWindow.partitions.useFdisk: 0
        intf.icw.currentWindow.partitions.autoClearPartDrives: [sda]
        intf.icw.currentWindow.partitions.protected: [sr1]
        intf.icw.currentWindow.partitions.retrofitPassphrase: False
        intf.icw.currentWindow.partitions.anaconda: Already dumped
        intf.icw.currentWindow.partitions.zeroMbr: 0
        intf.icw.currentWindow.partitions.isKickstart: 0
        intf.icw.currentWindow.partitions.requests: [New Part Request -- mountpoint: /boot uniqueID: 6
  type: ext3  format: 1 
  device: sda1 drive: ['sda']  primary: None
  size: 200  grow: 0  maxsize: None
  start: None  end: None  migrate: None    fslabel: None  origfstype: None
  options: 'None'
  fsprofile: None  encryption: None
, VG Request -- name: VolGroup00  uniqueID: 4
  format: 1 pesize: 32768  
  physvols: [3]
, New Part Request -- mountpoint: None uniqueID: 3
  type: physical volume (LVM)  format: 1 
  device: sda2 drive: ['sda']  primary: None
  size: 0  grow: 1  maxsize: None
  start: None  end: None  migrate: None    fslabel: None  origfstype: None
  options: 'None'
  fsprofile: None  encryption: None
, LV Request -- mountpoint: /  uniqueID: 5
  type: ext3  format: 1
  size: 471424  lvname: LogVol00  volgroup: 4
  options: 'None'  fsprofile: None  encryption: 'None'
, LV Request -- mountpoint: None  uniqueID: 7
  type: swap  format: 1
  size: 5280  lvname: LogVol01  volgroup: 4
  options: 'None'  fsprofile: None  encryption: 'None'
]
        intf.icw.currentWindow.partitions.autoEncrypt: False
        intf.icw.currentWindow.partitions.autoPartitionRequests: [New Part Request -- mountpoint: None uniqueID: None
  type: physical volume (LVM)  format: 1 
  device: None drive: None  primary: None
  size: 0  grow: 1  maxsize: None
  start: None  end: None  migrate: None    fslabel: None  origfstype: None
  options: 'None'
  fsprofile: None  encryption: None
, VG Request -- name: lvm  uniqueID: None
  format: 1 pesize: 32768  
  physvols: []
, LV Request -- mountpoint: /  uniqueID: None
  type: ext3  format: 1
  size: 1024  lvname: LogVol00  volgroup: lvm
  options: 'None'  fsprofile: None  encryption: 'None'
, New Part Request -- mountpoint: /boot uniqueID: None
  type: ext3  format: 1 
  device: None drive: None  primary: None
  size: 200  grow: 0  maxsize: None
  start: None  end: None  migrate: None    fslabel: None  origfstype: None
  options: 'None'
  fsprofile: None  encryption: None
, LV Request -- mountpoint: None  uniqueID: None
  type: swap  format: 1
  size: 1000  lvname: LogVol01  volgroup: lvm
  options: 'None'  fsprofile: None  encryption: 'None'
]
        intf.icw.currentWindow.partitions.deletes: [drive: sda  start: 401625  end: 976768064
, drive: sda  start: 63  end: 401624
]
    intf.icw.mainxml: <gtk.glade.XML object at 0xa2c96e4 (PyGladeXML at 0xa190590)>
    intf.icw.window: <gtk.Window object at 0xa2c99b4 (GtkWindow at 0x9b0a8e0)>
    intf.icw.installFrame: <gtk.Frame object at 0xa2c993c (GtkFrame at 0xa3205b0)>
    intf.icw.anaconda: Already dumped
    intf.icw.reloadRcQueued: 0
  intf.runres: 800x600
  intf.anaconda: Already dumped
rescue: False
updateSrc: None
mediaDevice: None
methodstr: livecd:///dev/mapper/live-osimg-min
dispatch: <dispatch.Dispatcher object at 0xa2c4fcc>
rootPath: /mnt/sysimage
xdriver: None
isKickstart: False
stage2: None
id: InstallData instance, containing members:
  id.firewall: Firewall instance, containing members:
    id.firewall.portlist: []
    id.firewall.servicelist: [ssh]
    id.firewall.trustdevs: []
    id.firewall.enabled: 1
  id.anaconda: Already dumped
  id.upgradeRoot: None
  id.keyboard: Keyboard instance, containing members:
    id.keyboard.info: {'LAYOUT': gb, 'KEYBOARDTYPE': pc, 'VARIANT': , 'KEYTABLE': uk, 'MODEL': pc105, 'OPTIONS': }
    id.keyboard.type: PC
    id.keyboard._mods: KeyboardModels instance, containing members:
    id.keyboard.beenset: 1
  id.timezone: Timezone instance, containing members:
    id.timezone.utc: True
    id.timezone.tz: Europe/London
  id.zfcp: ZFCP instance, containing members:
    id.zfcp.hasReadConfig: True
    id.zfcp.fcpdevs: []
  id.upgrade: None
  id.monitor: None
  id.iscsi: <iscsi.iscsi object at 0xa2c438c>
  id.fsset: FileSystemSet instance, containing members:
    id.fsset.messageWindow: <bound method InstallInterface.messageWindow of <gui.InstallInterface instance at 0xa15a80c>>
    id.fsset.volumesCreated: 0
    id.fsset.progressWindow: <bound method InstallInterface.progressWindow of <gui.InstallInterface instance at 0xa15a80c>>
    id.fsset.migratedfs: 1
    id.fsset.waitWindow: <bound method InstallInterface.waitWindow of <gui.InstallInterface instance at 0xa15a80c>>
    id.fsset.entries: [fsentry -- device: VolGroup00/LogVol00   mountpoint: /
  fsystem: ext3 format: 1
  ismounted: 0  options: 'defaults'
  label: None fsprofile: None

, fsentry -- device: sda1   mountpoint: /boot
  fsystem: ext3 format: 1
  ismounted: 0  options: 'defaults'
  label: None fsprofile: None

, fsentry -- device: shm   mountpoint: /dev/shm
  fsystem: tmpfs format: 0
  ismounted: 0  options: 'defaults'
  label: None fsprofile: None

, fsentry -- device: devpts   mountpoint: /dev/pts
  fsystem: devpts format: 0
  ismounted: 0  options: 'gid=5,mode=620'
  label: None fsprofile: None

, fsentry -- device: sys   mountpoint: /sys
  fsystem: sysfs format: 0
  ismounted: 0  options: 'defaults'
  label: None fsprofile: None

, fsentry -- device: proc   mountpoint: /proc
  fsystem: proc format: 0
  ismounted: 0  options: 'defaults'
  label: None fsprofile: None

, fsentry -- device: VolGroup00   mountpoint: None
  fsystem: volume group (LVM) format: 1
  ismounted: 0  options: 'defaults'
  label: None fsprofile: None

, fsentry -- device: sda2   mountpoint: None
  fsystem: physical volume (LVM) format: 1
  ismounted: 0  options: 'defaults'
  label: None fsprofile: None

, fsentry -- device: VolGroup00/LogVol01   mountpoint: swap
  fsystem: swap format: 1
  ismounted: 0  options: 'defaults'
  label: None fsprofile: None

]
    id.fsset.mountcount: 0
  id.desktop: Desktop instance, containing members:
    id.desktop.info: {}
    id.desktop.runlevel: 3
  id.rootParts: None
  id.x_already_set: 1
  id.backend: LiveCDCopyBackend instance, containing members:
    id.backend.modeText: 
    id.backend.instPath: /mnt/sysimage
    id.backend.skipFormatRoot: True
    id.backend.instLog: None
    id.backend.supportsUpgrades: False
    id.backend._loopbackFile: None
    id.backend.osimg: //dev/mapper/live-osimg-min
    id.backend.supportsPackageSelection: False
  id.firstboot: 0
  id.diskset: Already dumped
  id.users: None
  id.displayMode: g
  id.auth: --enableshadow --passalgo=sha512
  id.ksdata: None
  id.bootloader: x86BootloaderInfo instance, containing members:
    id.bootloader._configdir: /boot/grub
    id.bootloader.doUpgradeOnly: 0
    id.bootloader.above1024: 0
    id.bootloader.defaultDevice: None
    id.bootloader.pure: None
    id.bootloader.serialDevice: None
    id.bootloader.args: KernelArguments instance, containing members:
      id.bootloader.args.args: 
    id.bootloader.kernelLocation: /boot/
    id.bootloader.timeout: None
    id.bootloader._configname: grub.conf
    id.bootloader.device: None
    id.bootloader.kickstart: 0
    id.bootloader.serialOptions: None
    id.bootloader.useGrubVal: 1
    id.bootloader._drivelist: [sda]
    id.bootloader.images: BootImages instance, containing members:
      id.bootloader.images.default: None
      id.bootloader.images.images: {}
    id.bootloader.serial: 0
    id.bootloader.password: None
    id.bootloader.forceLBA32: 0
  id.extraModules: []
  id.network: Network instance, containing members:
    id.network.netdevices: {'pan0': DEVICE=pan0
HWADDR=3a:e8:21:22:90:a1

, 'wlan0': DEVICE=wlan0
HWADDR=00:19:db:97:92:e0

, 'eth0': DEVICE=eth0
HWADDR=00:19:db:dc:6d:4c

}
    id.network.ksdevice: None
    id.network.overrideDHCPhostname: False
    id.network.hostname: localhost.localdomain
    id.network.domains: []
  id.instClass: <installclass.DefaultInstall object at 0x9e7232c>
  id.partitions: Already dumped
  id.isHeadless: 0
  id.videocard: None
  id.instLanguage: Language instance, containing members:
    id.instLanguage.targetLang: en_GB.UTF-8
    id.instLanguage.default: en_GB.UTF-8
    id.instLanguage.displayMode: g
    id.instLanguage.current: en_US.UTF-8
  id.security: Security instance, containing members:
    id.security.selinux: 1
  id.upgradeSwapInfo: None
dir: 1
backend: Already dumped


/tmp/anaconda.log:
16:41:20 INFO    : using only installclass _Fedora
16:41:20 INFO    : anaconda called with cmdline = ['/usr/sbin/anaconda', '--liveinst', '--method=livecd:///dev/mapper/live-osimg-min', '--lang', 'en_GB.UTF-8']
16:41:20 INFO    : Display mode = g
16:41:20 INFO    : Starting graphical installation...
16:41:20 INFO    : Detected 3296M of memory
16:41:20 INFO    : Swap attempt of 1000M to 5296M
16:41:20 WARNING : step installtype does not exist
16:41:20 WARNING : step confirminstall does not exist
16:41:20 WARNING : step complete does not exist
16:41:20 INFO    : moving (1) to step welcome
16:41:29 INFO    : moving (1) to step keyboard
16:41:32 INFO    : moving (1) to step network
16:41:33 INFO    : moving (1) to step timezone
16:41:34 WARNING : /usr/lib/anaconda/iw/timezone_gui.py:58: GtkWarning: GtkSpinButton: setting an adjustment with non-zero page size is deprecated
  self.xml = gtk.glade.XML("/usr/share/system-config-date/system-config-date.glade", domain="system-config-date")

16:41:40 INFO    : moving (1) to step accounts
16:41:41 INFO    : moving (-1) to step timezone
16:41:43 INFO    : moving (1) to step accounts
16:41:54 INFO    : moving (1) to step partitionobjinit
16:41:54 INFO    : no /tmp/fcpconfig; not configuring zfcp
16:41:54 DEBUG   : starting mpaths
16:41:54 DEBUG   : self.driveList(): ['sda', 'sdb', 'sdc', 'sdd', 'sde']
16:41:54 DEBUG   : DiskSet.skippedDisks: []
16:41:54 DEBUG   : DiskSet.skippedDisks: []
16:41:54 DEBUG   : starting all mpaths on drives ['sda', 'sdb', 'sdc', 'sdd', 'sde']
16:41:54 DEBUG   : scanning for multipath on drives ['sda', 'sdb', 'sdc', 'sdd', 'sde']
16:41:54 DEBUG   : loading bdevid modules from: '/tmp/updates/bdevid/:/lib/bdevid/:/usr/lib/bdevid/'
16:41:55 DEBUG   : mpaths: []
16:41:55 DEBUG   : done starting mpaths.  Drivelist: ['sda', 'sdb', 'sdc', 'sdd', 'sde']
16:41:55 DEBUG   : starting dmraids
16:41:55 DEBUG   : self.driveList(): ['sda', 'sdb', 'sdc', 'sdd', 'sde']
16:41:55 DEBUG   : DiskSet.skippedDisks: []
16:41:55 DEBUG   : DiskSet.skippedDisks: []
16:41:55 DEBUG   : starting all dmraids on drives ['sda', 'sdb', 'sdc', 'sdd', 'sde']
16:41:55 DEBUG   : scanning for dmraid on drives ['sda', 'sdb', 'sdc', 'sdd', 'sde']
16:41:55 DEBUG   : done starting dmraids.  Drivelist: ['sda', 'sdb', 'sdc', 'sdd', 'sde']
16:42:55 DEBUG   : adding drive sda to disk list
16:42:55 DEBUG   : starting mpaths
16:42:55 DEBUG   : self.driveList(): ['sda', 'sdb', 'sdc', 'sdd', 'sde']
16:42:55 DEBUG   : DiskSet.skippedDisks: ['sdb', 'sdc', 'sdd', 'sde']
16:42:55 DEBUG   : DiskSet.skippedDisks: ['sdb', 'sdc', 'sdd', 'sde']
16:42:55 DEBUG   : starting all mpaths on drives ['sda']
16:42:55 DEBUG   : scanning for multipath on drives ['sda']
16:42:55 DEBUG   : loading bdevid modules from: '/tmp/updates/bdevid/:/lib/bdevid/:/usr/lib/bdevid/'
16:42:55 DEBUG   : mpaths: []
16:42:55 DEBUG   : done starting mpaths.  Drivelist: ['sda', 'sdb', 'sdc', 'sdd', 'sde']
16:42:56 INFO    : sr1 is a protected partition
16:42:56 INFO    : no request, probably a removable drive
16:42:56 INFO    : moving (1) to step parttype
16:43:19 WARNING : step complete does not exist
16:43:19 INFO    : moving (1) to step autopartitionexecute
16:43:19 DEBUG   : starting mpaths
16:43:19 DEBUG   : self.driveList(): ['sda', 'sdb', 'sdc', 'sdd', 'sde']
16:43:19 DEBUG   : DiskSet.skippedDisks: ['sdb', 'sdc', 'sdd', 'sde']
16:43:19 DEBUG   : DiskSet.skippedDisks: ['sdb', 'sdc', 'sdd', 'sde']
16:43:19 DEBUG   : starting all mpaths on drives ['sda']
16:43:19 DEBUG   : scanning for multipath on drives ['sda']
16:43:19 DEBUG   : loading bdevid modules from: '/tmp/updates/bdevid/:/lib/bdevid/:/usr/lib/bdevid/'
16:43:19 DEBUG   : mpaths: []
16:43:19 DEBUG   : done starting mpaths.  Drivelist: ['sda', 'sdb', 'sdc', 'sdd', 'sde']
16:43:19 DEBUG   : adding drive sda to disk list
16:43:20 DEBUG   : used space is 2024
16:43:20 DEBUG   : actual space is 476704
16:43:20 DEBUG   : used space is 242152
16:43:20 DEBUG   : actual space is 476704
16:43:20 DEBUG   : used space is 246432
16:43:20 DEBUG   : actual space is 476704
16:43:20 DEBUG   : used space is 476704
16:43:20 DEBUG   : actual space is 476704
16:43:20 DEBUG   : used space is 476704
16:43:20 DEBUG   : actual space is 476704
16:43:20 DEBUG   : used space is 476704
16:43:20 DEBUG   : actual space is 476704
16:43:20 INFO    : moving (1) to step partitiondone
16:43:23 INFO    : moving (1) to step migratefilesystems
16:43:23 INFO    : moving (1) to step enablefilesystems
16:43:23 DEBUG   : starting mpaths
16:43:23 DEBUG   : self.driveList(): ['sda', 'sdb', 'sdc', 'sdd', 'sde']
16:43:23 DEBUG   : DiskSet.skippedDisks: ['sdb', 'sdc', 'sdd', 'sde']
16:43:23 DEBUG   : DiskSet.skippedDisks: ['sdb', 'sdc', 'sdd', 'sde']
16:43:23 DEBUG   : starting all mpaths on drives ['sda']
16:43:23 DEBUG   : scanning for multipath on drives ['sda']
16:43:23 DEBUG   : loading bdevid modules from: '/tmp/updates/bdevid/:/lib/bdevid/:/usr/lib/bdevid/'
16:43:23 DEBUG   : mpaths: []
16:43:23 DEBUG   : done starting mpaths.  Drivelist: ['sda', 'sdb', 'sdc', 'sdd', 'sde']
16:43:23 INFO    : disk.commit() for /dev/sda
16:44:45 CRITICAL: parted exception: Error: Input/output error during write on /dev/sda
16:44:54 DEBUG   : starting mpaths
16:44:54 DEBUG   : self.driveList(): ['sda', 'sdb', 'sdc', 'sdd', 'sde']
16:44:54 DEBUG   : DiskSet.skippedDisks: ['sdb', 'sdc', 'sdd', 'sde']
16:44:54 DEBUG   : DiskSet.skippedDisks: ['sdb', 'sdc', 'sdd', 'sde']
16:44:54 DEBUG   : starting all mpaths on drives ['sda']
16:44:54 DEBUG   : scanning for multipath on drives ['sda']
16:44:54 DEBUG   : loading bdevid modules from: '/tmp/updates/bdevid/:/lib/bdevid/:/usr/lib/bdevid/'
16:44:54 DEBUG   : mpaths: []
16:44:54 DEBUG   : done starting mpaths.  Drivelist: ['sda', 'sdb', 'sdc', 'sdd', 'sde']
16:44:54 DEBUG   : removing drive sda from disk lists; adding to skip list


/tmp/lvmout:
Running... ['lvm', 'pvcreate', '-ff', '-y', '-v', '/dev/sda2']
or
  /dev/sda2: read failed after 0 of 4096 at 499899498496: Input/output error
  /dev/sda2: read failed after 0 of 4096 at 499899609088: Input/output error
  /dev/sda2: read failed after 0 of 4096 at 0: Input/output error
  /dev/sda2: read failed after 0 of 4096 at 4096: Input/output error
  /dev/sda2: read failed after 0 of 4096 at 4096: Input/output error
  /dev/sda2: write failed after 0 of 4096 at 4096: Input/output error
  Failed to wipe new metadata area
  /dev/sda2: Format-specific setup of physical volume failed.
  Failed to setup physical volume "/dev/sda2"


Version-Release number of selected component (if applicable): Fedora 9


How reproducible: During install of fedora


Steps to Reproduce:?
1.
2.
3.
  
Actual results:?


Expected results:?


Additional info:?
Comment 1 Chris Lumens 2009-03-16 10:50:34 EDT
Can you check /tmp/syslog and see if there are more i/o errors there?  The messages at the very end of your log indicate there is a problem either with the driver or filesystem at the kernel level, or with your hardware.

Note You need to log in before you can comment on or make changes to this bug.